Ext.namespace('dSA', 'dSA.actions');

dSA.actions.ShowReport = function(type, value, title)
{
    var url = '/dsa/html/report/taskReport?';
    if (type == dSA.config.TaskReportRequest.TYPE)
    {
        url = url + 'type=' + value;
    }
    else
    {
        url = url + 'id=' + value;
    }

    var report = new Ext.Window(
    {
        title: title,
        width:  600,
        height: 400,
        modal: true,
        layout: 'fit',
        items:
        [
            {
                xtype: 'panel',
                border: false,
                autoScroll: true,
                autoLoad: url + '&' + 'download=0'
            }
        ],
        buttons:
        [
            {
                xtype: 'linkbutton',
                width: 105,
                text: dSA._("Download report"),
                href: url + '&' + 'download=1'
            },
            {
                xtype: 'button',
                text: dSA._("Close"),
                handler: function() { report.close(); }
            }
        ]
    });
    report.show();
};
